package it.unibo.cs.lbedogni.database;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

public class AddStudent extends Activity implements OnClickListener {
	
    public void onCreate(Bundle savedInstanceState) {
    	super.onCreate(savedInstanceState);
    	setContentView(R.layout.add);
    	
    	Button btn_submit = (Button)findViewById(R.id.btn_submit);
    	btn_submit.setOnClickListener(this);
    }

	@Override
	public void onClick(View v) {
		// Add the student
		DBHelper dbh = new DBHelper(this);
		String firstName = ((EditText)findViewById(R.id.et_name)).getText().toString();
		String lastName = ((EditText)findViewById(R.id.et_lastName)).getText().toString();
		String className = ((EditText)findViewById(R.id.et_class)).getText().toString();
		int grade = Integer.valueOf(((EditText)findViewById(R.id.et_grade)).getText().toString());
		long code = dbh.insertNewStudent(firstName, lastName, className, grade);
		if (code != -1)
			Toast.makeText(this, "Inserimento effettuato", Toast.LENGTH_LONG).show();
		finish();
	}
}